//
//  raspADC: Raspberry Pi ADC (Analog-Digital Convertor) module
//      xkozima@myu.ac.jp
//      (for MCP3204/08 SPI)
#ifndef ADC_H
#define ADC_H

#include "raspSPI.h"

#define ADC_3204 1
#define ADC_3208 2
#define ADC_CLOCK 1000000           //  1MHz at 2.7V Vcc

class ADC {
public:
    //  ADC モジュールの初期化
    void init();
    void init(const char *spiDevice);
    void init(int adc320X);
    void init(const char *spiDevice, int adc320X);
    //  指定チャネル（0〜7）のアナログデータ取得（0〜4095）
    int get(int channel);
private:
    SPI spi;        //  SPI (raspSPI)
    int adcChip;    //  ADC の種類（ADC_3204, ADC_3208）
};

#endif
