//
//  testVNC: VNC サーバ接続確認のテストプログラム
//      xkozima@myu.ac.jp
#include "raspVNC.h"
#include "raspTFT.h"
TFT display;
VNC server;
//  描画用コールバック（画面が更新されると呼ばれる）
void vncDraw (unsigned char *buf, int x, int y, int w, int h) {
    //  buf (w*h*2 bytes) を TFT の (x, y) に表示
    display.sendBuffer(buf, x, y, w, h);
}
//  メイン
int main () {
    //  TFT 初期化
    display.init();
    //  VNC 初期化
    server.presetServer("127.0.0.1", 5901);
    server.presetDrawCB(vncDraw);
    server.presetPassword(getpass("VNC password: "));
    server.init(TFT_WIDTH, TFT_HEIGHT, VNC_FMT_RGB16);
    printf("testVNC: %s\n", server.getTitle());
    //  FramebufferUpdate を補足し vncDraw で表示
    while (1) {
        server.update();
    }
}
